Subject: crash in pine 4.21

From: [email-masked]
Date: Sat, 25 Mar 2000 14:17:50 -0800 (PST)

I've got a particular message (spam) that crashes when I answer the 'reply to
all recipients' question (I'm trying to complain, and just use 'r' to
start the reply that I send to all relevant parties).  It happens every time.

Hopefully this backtrace will help?

Program received signal SIGSEGV, Segmentation fault.
0x1a7228 in fetch_contents (stream=0x3e1260, msgno=1215,
    section=0xefffe3e8 "2", body=0x0) at reply.c:4499
reply.c:4499: No such file or directory.
(gdb) bt
#0  0x1a7228 in fetch_contents (stream=0x3e1260, msgno=1215,
    section=0xefffe3e8 "2", body=0x0) at reply.c:4499
#1  0x19f828 in reply_body (stream=0x3e1260, env=0x468558, orig_body=0x462348,
    msgno=1215, sect_prefix=0x0, msgtext=0x410918, prefix=0x466448 ">",
    plustext=1, template_file=0x0, sig_file=0x3da2a8 ".signature",
    redraft_pos=0xefffe5b4) at reply.c:1844
#2  0x19b9fc in reply (pine_state=0x3d8450) at reply.c:565
#3  0x108440 in cmd_reply (state=0x3d8450, msgmap=0x3d8d48, agg=0)
    at mailcmd.c:1739
#4  0x1026bc in process_cmd (state=0x3d8450, stream=0x3e1260, msgmap=0x3d8d48,
    command=705, in_index=1, force_mailchk=0xeffff1e8) at mailcmd.c:360
#5  0x123230 in index_lister (state=0x3d8450, cntxt=0x3e07a0,
    folder=0x3d84d5 "INBOX", stream=0x3e1260, msgmap=0x3d8d48)
    at mailindx.c:1029
#6  0x121958 in mail_index_screen (state=0x3d8450) at mailindx.c:498
#7  0x192644 in main (argc=1, argv=0xeffff804) at pine.c:911

Wait, body=0.  The message is some sort of JavaScript crap that is supposed
to execute..  is that relevant?

I can copy/paste the message if necessary.

-- 
-----------------------------------------------------------------
 For information about this mailing list, and its archives, see: 
 http://www.washington.edu/pine/pine-info/
-----------------------------------------------------------------